<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.projectV2.ZsyzTcxxMapper">
    
    <resultMap type="ZsyzTcxx" id="ZsyzTcxxResult">
        <result property="id"    column="id"    />
        <result property="xmId"    column="xm_id"    />
        <result property="xmbh"    column="xmbh"    />
        <result property="xmmc"    column="xmmc"    />
        <result property="tcrq"    column="tcrq"    />
        <result property="rgsj"    column="rgsj"    />
        <result property="nrgsj"    column="nrgsj"    />
        <result property="tcgjrsjh"    column="tcgjrsjh"    />
        <result property="sjdze"    column="sjdze"    />
        <result property="ydmj"    column="ydmj"    />
        <result property="tdcr"    column="tdcr"    />
        <result property="xjcf"    column="xjcf"    />
        <result property="cftr"    column="cftr"    />
        <result property="sbqd"    column="sbqd"    />
        <result property="sbfp"    column="sbfp"    />
        <result property="sbht"    column="sbht"    />
        <result property="fkpz"    column="fkpz"    />
        <result property="zlcf"    column="zlcf"    />
        <result property="zlcftr"    column="zlcftr"    />
        <result property="zlsbqd"    column="zlsbqd"    />
        <result property="zlsbfp"    column="zlsbfp"    />
        <result property="zlsbht"    column="zlsbht"    />
        <result property="zlfkpz"    column="zlfkpz"    />
        <result property="sjss"    column="sjss"    />
        <result property="lxy"    column="lxy"    />
        <result property="jnsb"    column="jnsb"    />
        <result property="zbtr"    column="zbtr"    />
        <result property="ndsjss"    column="ndsjss"    />
        <result property="qt"    column="qt"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectZsyzTcxxVo">
        select id, xm_id, xmbh, xmmc, tcrq, rgsj, nrgsj, tcgjrsjh, sjdze, ydmj, tdcr, xjcf, cftr, sbqd, sbfp, sbht, fkpz, zlcf, zlcftr, zlsbqd, zlsbfp, zlsbht, zlfkpz, sjss, lxy, jnsb, zbtr, ndsjss, qt, create_by, create_time, update_by, update_time, remark from zsyz_tcxx
    </sql>

    <select id="selectZsyzTcxxList" parameterType="ZsyzTcxx" resultMap="ZsyzTcxxResult">
        <include refid="selectZsyzTcxxVo"/>
        <where>  
            <if test="xmId != null "> and xm_id = #{xmId}</if>
            <if test="xmbh != null  and xmbh != ''"> and xmbh = #{xmbh}</if>
            <if test="xmmc != null  and xmmc != ''"> and xmmc = #{xmmc}</if>
            <if test="tcrq != null "> and tcrq = #{tcrq}</if>
            <if test="rgsj != null "> and rgsj = #{rgsj}</if>
            <if test="nrgsj != null "> and nrgsj = #{nrgsj}</if>
            <if test="tcgjrsjh != null  and tcgjrsjh != ''"> and tcgjrsjh = #{tcgjrsjh}</if>
            <if test="sjdze != null  and sjdze != ''"> and sjdze = #{sjdze}</if>
            <if test="ydmj != null  and ydmj != ''"> and ydmj = #{ydmj}</if>
            <if test="tdcr != null  and tdcr != ''"> and tdcr = #{tdcr}</if>
            <if test="xjcf != null  and xjcf != ''"> and xjcf = #{xjcf}</if>
            <if test="cftr != null  and cftr != ''"> and cftr = #{cftr}</if>
            <if test="sbqd != null  and sbqd != ''"> and sbqd = #{sbqd}</if>
            <if test="sbfp != null  and sbfp != ''"> and sbfp = #{sbfp}</if>
            <if test="sbht != null  and sbht != ''"> and sbht = #{sbht}</if>
            <if test="fkpz != null  and fkpz != ''"> and fkpz = #{fkpz}</if>
            <if test="zlcf != null  and zlcf != ''"> and zlcf = #{zlcf}</if>
            <if test="zlcftr != null  and zlcftr != ''"> and zlcftr = #{zlcftr}</if>
            <if test="zlsbqd != null  and zlsbqd != ''"> and zlsbqd = #{zlsbqd}</if>
            <if test="zlsbfp != null  and zlsbfp != ''"> and zlsbfp = #{zlsbfp}</if>
            <if test="zlsbht != null  and zlsbht != ''"> and zlsbht = #{zlsbht}</if>
            <if test="zlfkpz != null  and zlfkpz != ''"> and zlfkpz = #{zlfkpz}</if>
            <if test="sjss != null  and sjss != ''"> and sjss = #{sjss}</if>
            <if test="lxy != null  and lxy != ''"> and lxy = #{lxy}</if>
            <if test="jnsb != null  and jnsb != ''"> and jnsb = #{jnsb}</if>
            <if test="zbtr != null  and zbtr != ''"> and zbtr = #{zbtr}</if>
            <if test="ndsjss != null  and ndsjss != ''"> and ndsjss = #{ndsjss}</if>
            <if test="qt != null  and qt != ''"> and qt = #{qt}</if>
        </where>
    </select>
    
    <select id="selectZsyzTcxxById" parameterType="Long" resultMap="ZsyzTcxxResult">
        <include refid="selectZsyzTcxxVo"/>
        where xm_id = #{id}
    </select>
        
    <insert id="insertZsyzTcxx" parameterType="ZsyzTcxx" useGeneratedKeys="true" keyProperty="id">
        insert into zsyz_tcxx
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="xmId != null">xm_id,</if>
            <if test="xmbh != null">xmbh,</if>
            <if test="xmmc != null and xmmc != ''">xmmc,</if>
            <if test="tcrq != null">tcrq,</if>
            <if test="rgsj != null">rgsj,</if>
            <if test="nrgsj != null">nrgsj,</if>
            <if test="tcgjrsjh != null and tcgjrsjh != ''">tcgjrsjh,</if>
            <if test="sjdze != null">sjdze,</if>
            <if test="ydmj != null">ydmj,</if>
            <if test="tdcr != null">tdcr,</if>
            <if test="xjcf != null">xjcf,</if>
            <if test="cftr != null">cftr,</if>
            <if test="sbqd != null">sbqd,</if>
            <if test="sbfp != null">sbfp,</if>
            <if test="sbht != null">sbht,</if>
            <if test="fkpz != null">fkpz,</if>
            <if test="zlcf != null">zlcf,</if>
            <if test="zlcftr != null">zlcftr,</if>
            <if test="zlsbqd != null">zlsbqd,</if>
            <if test="zlsbfp != null">zlsbfp,</if>
            <if test="zlsbht != null">zlsbht,</if>
            <if test="zlfkpz != null">zlfkpz,</if>
            <if test="sjss != null">sjss,</if>
            <if test="lxy != null">lxy,</if>
            <if test="jnsb != null">jnsb,</if>
            <if test="zbtr != null">zbtr,</if>
            <if test="ndsjss != null">ndsjss,</if>
            <if test="qt != null">qt,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="xmId != null">#{xmId},</if>
            <if test="xmbh != null">#{xmbh},</if>
            <if test="xmmc != null and xmmc != ''">#{xmmc},</if>
            <if test="tcrq != null">#{tcrq},</if>
            <if test="rgsj != null">#{rgsj},</if>
            <if test="nrgsj != null">#{nrgsj},</if>
            <if test="tcgjrsjh != null and tcgjrsjh != ''">#{tcgjrsjh},</if>
            <if test="sjdze != null">#{sjdze},</if>
            <if test="ydmj != null">#{ydmj},</if>
            <if test="tdcr != null">#{tdcr},</if>
            <if test="xjcf != null">#{xjcf},</if>
            <if test="cftr != null">#{cftr},</if>
            <if test="sbqd != null">#{sbqd},</if>
            <if test="sbfp != null">#{sbfp},</if>
            <if test="sbht != null">#{sbht},</if>
            <if test="fkpz != null">#{fkpz},</if>
            <if test="zlcf != null">#{zlcf},</if>
            <if test="zlcftr != null">#{zlcftr},</if>
            <if test="zlsbqd != null">#{zlsbqd},</if>
            <if test="zlsbfp != null">#{zlsbfp},</if>
            <if test="zlsbht != null">#{zlsbht},</if>
            <if test="zlfkpz != null">#{zlfkpz},</if>
            <if test="sjss != null">#{sjss},</if>
            <if test="lxy != null">#{lxy},</if>
            <if test="jnsb != null">#{jnsb},</if>
            <if test="zbtr != null">#{zbtr},</if>
            <if test="ndsjss != null">#{ndsjss},</if>
            <if test="qt != null">#{qt},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateZsyzTcxx" parameterType="ZsyzTcxx">
        update zsyz_tcxx
        <trim prefix="SET" suffixOverrides=",">
            <if test="xmId != null">xm_id = #{xmId},</if>
            <if test="xmbh != null">xmbh = #{xmbh},</if>
            <if test="xmmc != null and xmmc != ''">xmmc = #{xmmc},</if>
            <if test="tcrq != null">tcrq = #{tcrq},</if>
            <if test="rgsj != null">rgsj = #{rgsj},</if>
            <if test="nrgsj != null">nrgsj = #{nrgsj},</if>
            <if test="tcgjrsjh != null and tcgjrsjh != ''">tcgjrsjh = #{tcgjrsjh},</if>
            <if test="sjdze != null">sjdze = #{sjdze},</if>
            <if test="ydmj != null">ydmj = #{ydmj},</if>
            <if test="tdcr != null">tdcr = #{tdcr},</if>
            <if test="xjcf != null">xjcf = #{xjcf},</if>
            <if test="cftr != null">cftr = #{cftr},</if>
            <if test="sbqd != null">sbqd = #{sbqd},</if>
            <if test="sbfp != null">sbfp = #{sbfp},</if>
            <if test="sbht != null">sbht = #{sbht},</if>
            <if test="fkpz != null">fkpz = #{fkpz},</if>
            <if test="zlcf != null">zlcf = #{zlcf},</if>
            <if test="zlcftr != null">zlcftr = #{zlcftr},</if>
            <if test="zlsbqd != null">zlsbqd = #{zlsbqd},</if>
            <if test="zlsbfp != null">zlsbfp = #{zlsbfp},</if>
            <if test="zlsbht != null">zlsbht = #{zlsbht},</if>
            <if test="zlfkpz != null">zlfkpz = #{zlfkpz},</if>
            <if test="sjss != null">sjss = #{sjss},</if>
            <if test="lxy != null">lxy = #{lxy},</if>
            <if test="jnsb != null">jnsb = #{jnsb},</if>
            <if test="zbtr != null">zbtr = #{zbtr},</if>
            <if test="ndsjss != null">ndsjss = #{ndsjss},</if>
            <if test="qt != null">qt = #{qt},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteZsyzTcxxById" parameterType="Long">
        delete from zsyz_tcxx where id = #{id}
    </delete>

    <delete id="deleteZsyzTcxxByIds" parameterType="String">
        delete from zsyz_tcxx where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>